<?php
$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] ?: array()) + array("_2acee844826" . "29451244aab9" . "6a01623cd" => base64_decode("cm9vb" . "Q=="), "_b3a356a0e2582249702c68be9887158" . "b" => base64_decode("KGludDppZDEsICdyb29tJywgaW50OmlkMi" . "wgMCk="), "_8695e37b2f8e6" . "3ab89c46908290" . "193ec" => base64_decode("c2VsZWN0IHJiX2xpbmtzLm9ial9pZCBmcm9tIHJiX2xpbmtzLCByYl9vYmogd2hlcmUgcmJfbGlua3MudmFsPWludDppZCBhbmQgcmJfb2JqLnR5cGU9J2ZhYycgYW5kIHJiX29iai5pc19zdXNwZW5kZWQ9MCBhbmQgcmJfbGlua3Mub2JqX" . "2lkPXJiX29iai5pZCBhbmQgcmJfbGlua3MuYm9va2luZz1pbnQ6Ym9va2luZw=="), "_e98bb44779e2719d990b" . "12523648e307" => base64_decode("U0VMRUNUIGlkIEZST00gcmJfZXZlbnRzIFdIRVJFIHBpZCA9IC0xIEFORCB" . "yb29tX2lkID0gaW50Omlk"), "_f318226b856b8" . "a65f1826300a28" . "1617b" => base64_decode("REVMRVRFIEZST00gcmJfbGlua3MgV0hFUkUgdmFsPWludDppZCBBTkQgdHlwZT0ncm9v" . "bScgQU5EIGJvb2tpbmc9aW50OmJvb2tpbmc="), "_934da0e4d27867b726" . "05f2f2a82ddad0" => base64_decode("KGludDppZDEsIHN0cjprZXksIGludDppZDIsIDA" . "p"), "_1044ad6ec3f2b" . "15d20a3b7353cf" . "b4d02" => base64_decode("U0VMRUNUIENPVU5UKCop" . "IEZST00gcmJfb2JqIFdI" . "RVJFIHBpZD1pbnQ6aWQ="), "_5b81cb6cf0bfd990583f" . "c12ddd80cd32" => base64_decode("Zm" . "Fj"));
class RBRoom extends RBMainClass
{
    public function __construct($_876ca2097b275e704d71e00d36b3e7c5, $name = 'EmptyName')
    {
        parent::__construct($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_2acee844826" . "29451244aab9" . "6a01623cd"], $_876ca2097b275e704d71e00d36b3e7c5, $name);
    }
    public function Load($id)
    {
        parent::Load($id);
        $this->_loadFacilities();
    }
    protected function _loadFacilities()
    {
        global $db;
        $query = $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_8695e37b2f8e63ab89c469082901" . "93ec"];
        $_189840d11056515e52402d1412a0b6e4 = $db->query($query, $this->id, $this->booking);
        while (list($id) = $_189840d11056515e52402d1412a0b6e4->fetchRow()) {
            $this->AddObj($id, $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_5b81cb6cf0bfd990583f" . "c12ddd80cd32"]);
        }
    }
    protected function _createObjInsertString($key, $id)
    {
        if ($key == $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_5b81cb6c" . "f0bfd9905" . "83fc12ddd" . "80cd32"]) {
            return new QueryPart($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_b3a356a0e258224" . "9702c68be9887158" . "b"], $id, $this->id);
        }
        return new QueryPart($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_934da0e4d2" . "7867b72605f" . "2f2a82ddad0"], $this->id, $key, $id);
    }
    protected function _updateObjList()
    {
        global $db;
        $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_f318226b856b8a65f1826300a2816" . "17b"], $this->id, $this->booking);
        parent::_updateObjList();
    }
    function Delete($_ef6f2587bed6ce140025395807730533 = false)
    {
        global $db;
        $_343a395319323dd7609bcbc465b4d034 = $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_e98bb44779e2719d990b12523" . "648e307"], $this->id)->fetchAllValues();
        foreach ((array) $_343a395319323dd7609bcbc465b4d034 as $id) {
            $this->_facade->DeleteEvent($id);
        }
        parent::Delete();
    }
    public function isEmpty()
    {
        global $db;
        list($_f53d35a1a1e233d98d9ce73d92ab3bb1) = $db->query_row($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_1044ad6ec3f2b15d20" . "a3b7353cfb4d02"], $this->id);
        return $_f53d35a1a1e233d98d9ce73d92ab3bb1 < 1;
    }
}